> This page is for version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://docs.agentverse.ai/v-2/llms.txt
> - v1: https://docs.agentverse.ai/v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Start Specific User Agent

POST https://agentverse.ai/v1/hosting/agents/{address}/start

Starts a specific agent, identified by address

Reference: https://docs.agentverse.ai/v-1/api-reference/hosting-v-1/start-specific-user-agent

## Request

### Path parameters

- `address` (string, required)

### Query parameters

- `no_cache` (boolean, optional, default: false)

## Response

### 200

Successful Response

- `name` (string, required) — Name of the agent.
- `address` (string, required) — Bech32 address of the agent.
- `running` (boolean, required) — Whether the agent is currently running.
- `revision` (integer, required) — Revision number of the agent.
- `domain` (string, optional) — Domain name associated with the agent.
- `prefix` (enum, optional, default: test-agent) — Address prefix of the agent.
  - Allowed values: `agent`, `test-agent`
- `compiled` (boolean, optional) — Whether the agent code has been compiled.
- `code_digest` (string, optional) — Digest of the agent's code.
- `wallet_address` (string, optional) — Wallet address of the agent.
- `code_update_timestamp` (string, optional) — Last time the code was updated.
- `creation_timestamp` (string, optional) — Time when the agent was created.
- `avatar_url` (string, optional) — URL to the agent's avatar image.
- `maintainer_id` (string, optional) — ID of the user maintaining the agent.
- `readme` (string, optional) — README description of the agent.
- `short_description` (string, optional) — Short description for display.
- `metadata` (AgentMetadata, optional) — Metadata associated with the agent.

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### AgentMetadata

Model used to validate metadata for an agent. Framework specific fields will be added here to ensure valid serialization. Additional fields will simply be passed through.

- `geolocation` (AgentMetadataGeolocation, optional)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### AgentMetadataGeolocation

- AgentGeoLocation: AgentGeoLocation
- AgentGeoLocationDetails: AgentGeoLocationDetails

### ValidationErrorLocItems

- string
- integer

### AgentGeoLocation

- `latitude` (double, required)
- `longitude` (double, required)
- `radius` (double, optional)

### AgentGeoLocationDetails

- `name` (string, optional) — the full agent location
- `description` (string, optional) — the description of the agent location
- `latitude` (double, optional) — the latitude of the agent location
- `longitude` (double, optional) — the longitude of the agent location
- `street` (string, optional) — the street where the agent is located
- `city` (string, optional) — the city where the agent is located
- `state` (string, optional) — the state where the agent is located
- `postal_code` (string, optional) — the postal code where the agent is located
- `country` (string, optional) — the country where the agent is located
- `url` (string, optional) — the url belonging to the agent location
- `image_url` (string, optional) — the image url belonging to the agent location

## Examples

**Response**

```json
{
  "name": "foo",
  "address": "foo",
  "running": true,
  "revision": 42,
  "domain": "foo",
  "prefix": "agent",
  "compiled": true,
  "code_digest": "foo",
  "wallet_address": "foo",
  "code_update_timestamp": "foo",
  "creation_timestamp": "foo",
  "avatar_url": "foo",
  "maintainer_id": "foo",
  "readme": "foo",
  "short_description": "foo",
  "metadata": {
    "geolocation": {
      "latitude": 42,
      "longitude": 42,
      "radius": 42
    }
  }
}
```

**SDK Code**

```python startSpecificUserAgentExample
import requests

url = "https://agentverse.ai/v1/hosting/agents/address/start"

response = requests.post(url)

print(response.json())
```

```javascript startSpecificUserAgentExample
const url = 'https://agentverse.ai/v1/hosting/agents/address/start';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go startSpecificUserAgentExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v1/hosting/agents/address/start"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby startSpecificUserAgentExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v1/hosting/agents/address/start")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java startSpecificUserAgentExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://agentverse.ai/v1/hosting/agents/address/start")
  .asString();
```

```php startSpecificUserAgentExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://agentverse.ai/v1/hosting/agents/address/start');

echo $response->getBody();
```

```csharp startSpecificUserAgentExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v1/hosting/agents/address/start");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift startSpecificUserAgentExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/hosting/agents/address/start")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```